> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a form

> Update a form



## OpenAPI

````yaml put /admin/forms/{hysform_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/forms/{hysform_id}:
    put:
      tags:
        - Program Forms
      summary: Update a form
      description: Update a form
      operationId: b9f7c2a239f95a2807a75d55c4d72016
      parameters:
        - name: hysform_id
          in: path
          description: ID of Hysform to update
          required: true
          schema:
            type: integer
      requestBody:
        description: Hysform object that needs to be updated
        required: true
        content:
          application/json:
            schema:
              properties:
                id:
                  type: integer
                client_id:
                  type: string
                default_emailset_id:
                  type: integer
                type:
                  type: string
                name:
                  type: string
                prefix:
                  type: string
                counter:
                  type: integer
                box_folder_id:
                  type: string
                can_donor_modify_amount:
                  type: string
                mailchimp_list_id:
                  type: string
                forgive_missed_payments:
                  type: integer
                notify:
                  type: string
                deleted_at:
                  type: string
                created_at:
                  type: string
                updated_at:
                  type: string
                hide_payment:
                  type: string
                hysform_id:
                  type: integer
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                type: object
                example:
                  message: Successfully Updated Form
        '400':
          description: Invalid ID supplied
        '404':
          description: Hysform not found
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````